*  log300.prg   summary by address

clear

use adata index logaddr
go top

set device to print
store 5 to line_no

@ 1,1 say "                          Minutes      Server        Bytes        Bytes"
@ 2,1 say "       Address            Logged      Requests       Read        Written  "
@ 3,1 say "----------------------  -----------  -----------  -----------  -----------"

do while .not. eof()
   store adate to t_adate
   store dtime to t_dtime
   store node  to t_node
   store log_addr to t_addr
   store 0     to t_minlog, t_sreq, t_br, t_bw

   do while log_addr = t_addr
      t_minlog = t_minlog + min_log
      t_sreq   = t_sreq + serv_req
      t_br     = t_br + b_read
      t_bw     = t_bw + b_written
      skip
   enddo

   @ line_no,  1 say t_addr
   @ line_no, 25 say t_minlog picture "999,999,999"
   @ line_no, 38 say t_sreq   picture "999,999,999"
   @ line_no, 51 say t_br     picture "999,999,999"
   @ line_no, 64 say t_bw     picture "999,999,999"

   line_no = line_no + 1

enddo

eject
set device to screen

return
